Bug 1297721 - Traceback when using fedpkg update
Traceback when using fedpkg update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 05:17 EST by Jaroslav Škarvada
Modified: 2016-12-20 12:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:48:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2016-01-12 05:17:41 EST
Description of problem:
Trying to push new grep update for f23:

$ fedpkg update
/usr/lib/python2.7/site-packages/fedpkg/cli.py:169: DeprecationWarning: Commands._hash_file is deprecated and will be removed eventually.
    Please use Commands.lookasidecache.hash_file instead.
  hash = self.cmd._hash_file('bodhi.template', 'sha1')
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 209, in main
    updates = bodhi.parse_file(input_file=opts.input_file)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 351, in parse_file
    section, 'close_bugs', raw=True),
TypeError: getboolean() got an unexpected keyword argument 'raw'
Could not generate update request: Command 'bodhi --new --release f23 --file bodhi.template grep-2.22-6.fc23 --username jskarvad' returned non-zero exit status 1

Not counting the ugly DeprecationWarning it doesn't work for me.

Version-Release number of selected component (if applicable):
fedpkg-1.20-2.fc23.noarch

How reproducible:
Always for me

Steps to Reproduce:
1. fedpkg update  # in grep/f23, but not sure whether it is grep dependant

Actual results:
Traceback

Expected results:
No traceback, update created

Additional info:
Maybe it is bodhi bug, I am not sure, please reassign in such case.
Comment 1 Petr Hracek 2016-01-14 03:51:09 EST
Yes, I can confirm the same problem on my desktop Fedora 23.

Package versions:
fedpkg-1.20-2.fc23.noarch
bodhi-client-0.9.12.2-3.fc23.noarch

phracek@unused-4-101: ~/work/Fedora/rebase-helper (f23 %)$ fedpkg update 
/usr/lib/python2.7/site-packages/fedpkg/cli.py:169: DeprecationWarning: Commands._hash_file is deprecated and will be removed eventually.
    Please use Commands.lookasidecache.hash_file instead.
  hash = self.cmd._hash_file('bodhi.template', 'sha1')
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 209, in main
    updates = bodhi.parse_file(input_file=opts.input_file)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 351, in parse_file
    section, 'close_bugs', raw=True),
TypeError: getboolean() got an unexpected keyword argument 'raw'
Could not generate update request: Command 'bodhi --new --release f23 --file bodhi.template rebase-helper-0.7.0-1.fc23 --username phracek' returned non-zero exit status 1
phracek@unused-4-101: ~/work/Fedora/rebase-helper (f23 %)$

If you need any logs, feel free to ping me.

Is there any workaround for it?
Comment 2 Randy Barlow 2016-10-18 00:56:00 EDT
Hello!

I have recently become the primary caretaker of Bodhi and I've inherited a number of issues related to bodhi 0.9. I wanted to be forthcoming with you that it will be difficult for me to fix issues with bodhi 0.9 while also pressing forward with bodhi 2, especially since I do not have any familiarity with the bodhi 0.9 codebase. I'm happy to keep this bug open to track the problem, but I would also encourage you to please test the bodhi 2 client (currently available in Rawhide and Copr[0]). Unfortunately, the bodhi 2 client is not backwards compatible with bodhi 0.9, so at this time I only plan for bodhi 2 to be released with Fedora 26 and EPEL 7 (with special permission from the EPEL SC).

Here are some options you could pursue for this issue:

0) Write a patch for me that can be applied with the spec file. If you are willing to take the time to learn the bodhi 0.9 code, write a patch, and test it, I am willing to accept patches to be applied during build.
1) Use Rawhide.
2) Install bodhi 2 from my Copr[0].

I apologize as I understand that this is probably disappointing news for you to hear, but I thought it would be better to be forthcoming than to let the bug languish. I appreciate your understanding!


[0] https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/
Comment 3 Fedora End Of Life 2016-11-24 09:51:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:48:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.